Bug 103735 - Text box always stucked on the left edge of the page in LTR (vertical) direction
Summary: Text box always stucked on the left edge of the page in LTR (vertical) direction
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 33278
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2016-11-06 15:43 UTC by Volga
Modified: 2018-04-06 11:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test for text box (343.25 KB, image/gif)
2016-11-16 02:35 UTC, Volga
Details
Test case 2 (383.35 KB, image/gif)
2016-11-16 03:24 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2016-11-06 15:43:29 UTC
Description:
When I insert a text box in the page, it always nestled on the left edge of the page when I use LTR (vertical) direction. This problem cannot appearing when RTL (vertical) direction is applied.

Steps to Reproduce:
1. Format > Page > Page > Text direction: Left-to-right (vertical)
2. Insert > Text box, then I insert some texts.

Actual Results:  
When I drag and resize the textbox, it always nestled on the left edge of the page, even if I making it wrap through on the page.

Expected Results:
-


Reproducible: Always

User Profile Reset: No

Additional Info:
You can get the file from attachment 128507 [details] to test.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Xisco Faulí 2016-11-14 14:30:11 UTC
Hello General,
Could you please attach an screenshot of how the document should look like if it were imported correctly?
Comment 2 Volga 2016-11-16 02:35:44 UTC
Created attachment 128774 [details]
Test for text box

You can see what I have seen here.
Comment 3 Volga 2016-11-16 03:24:13 UTC
Created attachment 128775 [details]
Test case 2

This is what I have seen when I use RTL (vertical) direction, this is predictable result.
Comment 4 Buovjaga 2016-11-27 20:00:32 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 368de904974b18dc5a8d237e046c0ed005f7c85d
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 26th 2016
Comment 5 Volga 2016-12-13 07:30:05 UTC
This problem also affect fontworks, you can get attachment 129509 [details] to test.
Comment 6 Volga 2016-12-22 03:41:16 UTC
I have tested an image in the file, it doesn’t be affected.
Comment 7 QA Administrators 2018-04-05 02:44:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug